body {
  margin: 0;
  padding: 0;
}

/* ====================== TITLE ====================== */
.title-div {
  color: white;
  text-align: center;
}

.title-div img {
  width: 100%;
}

.title-div h1 {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  font-size: 60px;
  font-weight: bold;
  padding: 2rem 0;
  background-color: rgba(0, 0, 0, 0.5);
  border-radius: 50px;
  line-height: normal;
  letter-spacing: normal;
}

/* ====================== TOP BAR ====================== */
.top-bar {
  display: flex;
  width: 100%;
  height: 5rem;
  position: fixed;
  left: 50%;
  transform: translate(-50%, 0%);
  background-color: rgba(0,0,0,0.7);
  padding: 0.2rem 3rem 0.2rem 1rem;
}

.top-bar-title{
  display: flex;
  width: 20%;
  height: 100%;
}

.top-bar-title .pfp{
  display: flex;
  height: 100%;
}

.top-bar-title button{
  display: flex;
  width: 10rem;
  height: 50%;
  margin: 1.15rem 2rem;
  padding: 0 0;
  font-size: 1rem;
  text-align: center;
  justify-content: center;
  align-items: center;
  color: white;
  background-color: transparent;
  border: transparent;
  border-radius: 5px;
  transition: background-color 0.3s;
  cursor: pointer;
}

.top-bar-title button:hover {
  background-color: rgba(255, 255, 255, 0.2);
}

.top-bar-title button:focus{
  outline: none;
}

.top-bar-buttons{
  display: flex;
  width: 80%;
  height: 100%;
  justify-content: flex-end; /* Stack child divs to the right */
  gap: 1rem; /* Add spacing between child divs */
  padding: 1rem 0;
}

.top-bar-buttons button {
  display: flex;
  align-items: center;
  background-color: transparent;
  border: transparent;
  border-radius: 5px;
  color: white;
  font-size: 1.2rem;
  cursor: pointer;
  padding: 0.5rem 1rem;
  transition: background-color 0.3s;
}

.top-bar-buttons button:hover {
  background-color: rgba(255, 255, 255, 0.2);
}

.top-bar-buttons button:focus {
  outline: none;
}


/* ====================== SECTIONS ====================== */

.section {
  padding: 8rem 20%;
  min-height: 100vh;
  background-color: #f4f4f4;
  margin-bottom: 1rem;
  font-size: 20px;
  font-weight: lighter;
}

.section:nth-child(even) {
  background-color: #e2e2e2;
}

/* ======================    INTRODUCTION    ====================== */

.intro-bonhomme{
  text-align: center;
  width: 10rem;
}

/* ====================== SECTIONS  ====================== */

.section-image{
  width: 100%;
}

.bonhomme{
  width: 30%;
  margin: 0 35%;
}


/* ======================     INTERACTIVE     ====================== */
.interactive-career{
  width: 100%;
  height: 30rem;
  border: none;
}

.community_statistics{
  border: none;
  width: 100%;
  height: 50rem;
}
.communities_metrics{
  border: none;
  width: 100%;
  height: 30rem;
  margin: 0;
}

.interactive-interest{
  border: none;
  width: 50%;
  height: 40rem;
  margin: 0 25%;
}

.interactive-centrality{
  border: none;
  width: 50%;
  height: 40rem;
  margin: 0 25%;
}

.interactive-distribution{
  border: none;
  width: 100%;
  height: 40rem;
  margin: 0;
}

.centrality-table{
  border: none;
  width: 100%;
  height: 45rem;
  margin: 0;
}

/* ====================== TEMPLATES ====================== */
.table-plot-text{
  width: 100%; /* Make the table take full width */
  table-layout: fixed; /* Ensures columns respect defined widths */
  border-collapse: collapse; /* Removes gaps between table cells */
}

.table-side-plot-td{
  width: 50%; /* Set the width of the image column */
  vertical-align: top; /* Align the content to the top */
}

.table-side-text-td{
  width: 50%; /* Set the width of the text column */
  padding-left: 1rem; /* Add some spacing between the image and text */
  vertical-align: top; /* Align the content to the top */
}

.table-side-plot-img{
  max-width: 100%; /* Ensures the image fits within the column */
  height: auto; /* Maintains the aspect ratio */
}